[问题]关于JAVA2D的问题

C、C++和Java语言
回复
xcxtxcbaggio
帖子: 27
注册时间: 2006-12-07 12:32
送出感谢: 0
接收感谢: 0
联系:

[问题]关于JAVA2D的问题

#1

帖子 xcxtxcbaggio » 2007-11-23 16:55

请问大家,我现在在ubuntu7.04,现在我看我的java版本是
java version "1.6.0"
Java(TM) SE Runtime Environment (build 1.6.0-b105)
Java HotSpot(TM) Client VM (build 1.6.0-b105, mixed mode, sharing)

但是我现在的版本不支持JAVA2D,我在用eclipse编程的时候没有Graphics2D这个类,
请问大家怎么在我的系统上安装JAVA2D的支持阿?
winstars
帖子: 131
注册时间: 2006-09-07 16:02
送出感谢: 0
接收感谢: 0

#2

帖子 winstars » 2007-11-23 16:59

没有java2d?不清楚,我是有的。
LZ是从源里装得?
xcxtxcbaggio
帖子: 27
注册时间: 2006-12-07 12:32
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 xcxtxcbaggio » 2007-11-23 17:13

是阿,但是不知道怎么就不行了,我加了import java.awt.Graphics2D; 也不行,难道只能重装JAVA???
angelus
帖子: 445
注册时间: 2007-08-27 17:31
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 angelus » 2007-11-23 20:08

你去官方下个最新的,安装看看!
你能学会世界上所有语言来叫一种鸟的名字,当你知道所有这些名字叫法后,却对这种鸟一无所知~
理查德-费曼
头像
AutumnHealth
帖子: 776
注册时间: 2006-12-20 18:41
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 AutumnHealth » 2007-11-24 12:48

看一下你的类路径有没有设置对
jdk里面看看jre/lib/rt.jar文件中有没有java.awt.Graphics2D的类
尽情享受生活~

Welcome to AutumnHealth's blog:
http://forum.ubuntu.org.cn/weblog.php?w=1421
http://blog.csdn.net/autumnhealth
zxkane
帖子: 103
注册时间: 2007-11-02 10:46
送出感谢: 0
接收感谢: 0

#6

帖子 zxkane » 2007-11-24 13:15

建的什么类型的工程,你把reference的路径删掉了吧?

重新建一个java project,导入你的code再试试
附件
lib.jpg
lib.jpg (9.11 KiB) 查看 675 次
jrg9522
帖子: 12
注册时间: 2007-11-13 1:11
送出感谢: 0
接收感谢: 0

#7

帖子 jrg9522 » 2007-12-21 12:25

可能是环境变量没弄好。
回复

回到 “C/C++/Java”